#select {

    &__popup{
        margin-top: 6px;
        font: 500 18px/25px 'Manrope', sans-serif;

        li {
            position: relative;
            margin-bottom: 10px;
            transition: background-color .3s ease;

            &[data-id="0"]{
                display: none;
            }
        }

        li.is-active{
            pointer-events: none;
        }

        li:hover{
            background-color: rgba(226,211,206,.7);
        }

        input{
            height: 45px;
            margin-bottom: 10px;
            padding: 0 14px;
            border: 1px solid #CBD5DE;
            font-size: 14px;
            line-height: 1;

            & + #select__popup-wrap{
                max-height: 265px;
            }

        }

    }

    @include lg {

        &__popup{
            display: flex;
            flex-direction: column;
            position: absolute;
            height: auto;
            max-height: 320px;
            padding: 13px 0;
            border-radius: 10px;
            background-color: #fff;
            box-shadow: 0 18px 38px rgba(0, 0, 0, 0.11);
            z-index: 1;

            li{
                padding: 3px 16px;
                cursor: pointer;

                &:hover{
                    color: #000;
                }
            }

            &-wrap{
                display: flex;
                position: relative;
                height: 100%;
                min-height: 59px;

                &.is-scroll{

                    &:before,
                    &:after{
                        content: '';
                        position: absolute;
                        left: 0;
                        width: 100%;
                        height: 15%;
                        transition: height .3s ease;
                        pointer-events: none;
                        z-index: 1;
                    }

                    &:before{
                        top: 0;
                        background: -moz-linear-gradient(top, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 5%, rgba(255,255,255,0) 100%);
                        background: -webkit-linear-gradient(top, rgba(255,255,255,1) 0%,rgba(255,255,255,1) 5%,rgba(255,255,255,0) 100%);
                        background: linear-gradient(to bottom, rgba(255,255,255,1) 0%,rgba(255,255,255,1) 5%,rgba(255,255,255,0) 100%);
                        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#393631', endColorstr='#00393631',GradientType=0 );
                    }

                    &:after{
                        bottom: 0;
                        background: -moz-linear-gradient(top, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 95%, rgba(255,255,255,1) 100%);
                        background: -webkit-linear-gradient(top, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 95%,rgba(255,255,255,1) 100%);
                        background: linear-gradient(to bottom, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 95%,rgba(255,255,255,1) 100%);
                        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00393631', endColorstr='#393631',GradientType=0 );
                    }

                }

                &.in-down-list{

                    &:before{
                        height: 20%;
                    }

                    &:after{
                        height: 0;
                    }

                }

                &.in-top-list{

                    &:before{
                        height: 0;
                    }

                    &:after{
                        height: 20%;
                    }

                }

            }

            &-scroll{
                position: relative;
                width: 100%;
                min-height: 59px;
                overflow: hidden;

                &.ps--active-y .ps__rail-y{
                    visibility: visible;
                }

                .ps__rail-y{
                    position: absolute;
                    right: 0;
                    width: 2px;
                    visibility: hidden;
                    background-color: #D8D8D8;
                    z-index: 2;

                    .ps__thumb-y{
                        position: absolute;
                        right: 0;
                        width: 7px;
                        background-color: #E2D3CE;
                        cursor: pointer;

                        &:before{
                            content: '';
                            position: absolute;
                            top: 0;
                            right: 0;
                            width: 20px;
                            height: 100%;
                        }

                    }

                }

            }

            &-list{
                text-align: left;

                li{

                    &:last-child{
                        margin-bottom: 0;
                    }

                }

            }

            &.select__popup-full{
                transform: none;

                &:before{
                    left: 140px;
                }
            }

        }
    }
}
.select {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    position: relative;
    overflow: hidden;
    transition: border-color .3s ease;
    cursor: pointer;

    &:before,
    &:after{
        position: absolute;
        right: 30px;
        height: 10px;
        width: 10px;
        border: solid #79655E;
        transform: rotate(45deg) translateY(-85%);
        content: '';
    }

    &:before {
        top: calc(50% - 2px);
        border-width: 0 1px 1px 0;
        transition: opacity .3s ease;
    }

    &:after {
        top: calc(50% + 4px);
        border-width: 1px 0 0 1px;
        opacity: 0;
        transition: opacity 0s ease;
    }

    &__item {
        display: block;
        width: 100%;
        color: #fff;
        font-weight: bold;
        font-size: 19.2px;
        line-height: 23px;
        white-space: nowrap;
        text-overflow: ellipsis;
        text-align: left;
        overflow: hidden;

        &.is-empty{
            color: #ACB4B4;
        }
    }

    &_mobile {

        select {
            position: absolute;
            top: 0;
            bottom: -1px;
            left: 1px;
            width: 100%;
            opacity: 0;
        }

    }

    &:not(.select_mobile){
        select {
            position: absolute;
            left: -100000px;
        }
    }

    &.is-open {
        z-index: 1;

        &:before {
            opacity: 0;
            transition: opacity 0s ease;
        }

        &:after{
            opacity: 1;
            transition: opacity .3s ease;
        }

    }

    &.is-not-touched{
        border-color: #F45B60;
    }

}
